import os
from os import listdir
from app import app, db
from app.models import File, User

def cleardata():
	files = File.query.all()
	for f in files:
		db.session.delete(f)
	db.session.commit()

def updatedata(username):
	user = User.query.filter_by(username=username).first()
	if not user is None:
		folder = os.path.join(app.config['FILES_DIR'], user.username)
		files = listdir(folder)
		for f in files:
			filetodb = File(name = f, user = user, folder=user.username)
			db.session.add(filetodb)
		db.session.commit()

def updatealldata():
	for user in User.query.all():
		updatedata(user.username)

def recreatealldata():
	cleardata()
	updatealldata()